package com.huiju.estateagents.miniPackage.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 会员套餐 
 * </p>
 *
 * @author wxx
 * @since 2020-06-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysVipPackage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 套餐ID
     */
    private Integer packId;

    /**
     * 套餐名称
     */
    private String standName;

    /**
     * 显示名称
     */
    private String name;

    /**
     * 价格 单位分
     */
    private Integer price;

    /**
     * 时长
     */
    private Integer amount;

    /**
     * 时长单位 year年,month月,day天,week周,quarter季度
     */
    private String unit;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 对应系统角色
     */
    private Integer ruleId;


}
